package pl.afizyka.czerwiec_2023_problem_2_czcionki

import android.os.Bundle
import android.util.TypedValue
import android.widget.Button
import android.widget.SeekBar
import android.widget.SeekBar.OnSeekBarChangeListener
import android.widget.TextView
import androidx.appcompat.app.AppCompatActivity

class MainActivity : AppCompatActivity(), OnSeekBarChangeListener {

    private var txtRozmiar:TextView?=null;
    private var txtCytat:TextView?=null;
    private val tab= arrayOf(
        "Dzień dobry",
        "Good morning",
        "Buenos dias"
    )
    //indeks aktywnego cytatu
    private var id:Int=0;

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        val suwak=findViewById<SeekBar>(R.id.seekBar)
        suwak.setOnSeekBarChangeListener(this)
        //TextView dla informacji o rozmiarze
        txtRozmiar= findViewById<TextView>(R.id.textView2)
        //TextView dla treści cytatu
        txtCytat= findViewById<TextView>(R.id.textView3)
        txtCytat!!.text=tab[0]
        val bt=findViewById<Button>(R.id.button)
        bt.setOnClickListener{
            id++
            if(id>tab.size-1)id=0
            txtCytat!!.text=tab[id]
        }
    }

    override fun onProgressChanged(p0: SeekBar?, p1: Int, p2: Boolean) {
        txtRozmiar!!.text="Rozmiar: "+p1.toString()
        txtCytat!!.setTextSize(p1.toFloat())
        //po zimportowaniu import android.util.TypedValue
        //działa poniższa linijka
        //txtCytat!!.setTextSize(TypedValue.COMPLEX_UNIT_SP,p1.toFloat())
    }

    override fun onStartTrackingTouch(p0: SeekBar?) {
    }

    override fun onStopTrackingTouch(p0: SeekBar?) {
    }

}